curl --request GET \
--url https://api.watchdog.no/v1/invoices/imports \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.watchdog.no/v1/invoices/imports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.watchdog.no/v1/invoices/imports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"origin": "upload",
"supersedes_invoice": true,
"deleted_at": "2023-11-07T05:31:56Z",
"primary_document": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file_name": "<string>",
"mime_type": "<string>",
"file_size": 123,
"page_count": 123,
"md5_checksum": "<string>",
"properties": {
"kind": "workbook",
"sheets": [
{
"name": "<string>",
"hidden": true,
"row_count": 1
}
]
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"previous_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"source_count": 1,
"attachment_count": 1,
"retryable": true,
"provenance": {
"uploader": {
"user_id": "<string>",
"name": "<string>",
"deleted": true
},
"api_key": {
"name": "<string>"
},
"email": {
"sender": "<string>",
"name": "<string>"
},
"integration": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "<string>",
"deleted": true
}
},
"classification_reason": "<string>",
"outcome": "imported",
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_run_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"failure": {
"code": "<string>",
"message": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>",
"total": 123,
"failed_retryable_count": 123,
"has_ingestion": true
}{
"error": {
"code": "validation_error",
"message": "The request is invalid. details lists up to 20 field errors. Request bodies are limited to 2 MiB.",
"request_id": "req_example"
}
}{
"error": {
"code": "invalid_token",
"message": "The bearer token is missing or invalid.",
"request_id": "req_example"
}
}{
"error": {
"code": "forbidden",
"message": "Access denied. The error code says why: forbidden, token_disabled, organization_required, insufficient_role or mfa_required.",
"request_id": "req_example"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Too many requests. Wait for the Retry-After delay before retrying.",
"request_id": "req_example"
}
}{
"error": {
"code": "internal_error",
"message": "Unexpected server failure. Include the request ID when contacting support.",
"request_id": "req_example"
}
}{
"error": {
"code": "service_unavailable",
"message": "Temporarily unavailable. Retry after the Retry-After delay, when provided.",
"request_id": "req_example"
}
}List invoice imports
Lists invoice imports, optionally filtered by status. has_ingestion tells whether the organization has ever submitted invoices, regardless of filters.
curl --request GET \
--url https://api.watchdog.no/v1/invoices/imports \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.watchdog.no/v1/invoices/imports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.watchdog.no/v1/invoices/imports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"origin": "upload",
"supersedes_invoice": true,
"deleted_at": "2023-11-07T05:31:56Z",
"primary_document": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file_name": "<string>",
"mime_type": "<string>",
"file_size": 123,
"page_count": 123,
"md5_checksum": "<string>",
"properties": {
"kind": "workbook",
"sheets": [
{
"name": "<string>",
"hidden": true,
"row_count": 1
}
]
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"previous_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"source_count": 1,
"attachment_count": 1,
"retryable": true,
"provenance": {
"uploader": {
"user_id": "<string>",
"name": "<string>",
"deleted": true
},
"api_key": {
"name": "<string>"
},
"email": {
"sender": "<string>",
"name": "<string>"
},
"integration": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "<string>",
"deleted": true
}
},
"classification_reason": "<string>",
"outcome": "imported",
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_run_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"failure": {
"code": "<string>",
"message": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>",
"total": 123,
"failed_retryable_count": 123,
"has_ingestion": true
}{
"error": {
"code": "validation_error",
"message": "The request is invalid. details lists up to 20 field errors. Request bodies are limited to 2 MiB.",
"request_id": "req_example"
}
}{
"error": {
"code": "invalid_token",
"message": "The bearer token is missing or invalid.",
"request_id": "req_example"
}
}{
"error": {
"code": "forbidden",
"message": "Access denied. The error code says why: forbidden, token_disabled, organization_required, insufficient_role or mfa_required.",
"request_id": "req_example"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Too many requests. Wait for the Retry-After delay before retrying.",
"request_id": "req_example"
}
}{
"error": {
"code": "internal_error",
"message": "Unexpected server failure. Include the request ID when contacting support.",
"request_id": "req_example"
}
}{
"error": {
"code": "service_unavailable",
"message": "Temporarily unavailable. Retry after the Retry-After delay, when provided.",
"request_id": "req_example"
}
}Authorizations
Personal API key sent as a bearer token, together with X-Organization-Id. The key must have at least the access level the endpoint requires (read, write or admin).
Headers
The organization to act in. Required for personal API keys; list the organizations you can access with GET /v1/organizations.
Query Parameters
Return only these fields of each row, comma-separated; use dots for nested fields, such as provenance.uploader. id is always returned. Fields: id, status, origin, supersedes_invoice, deleted_at, primary_document, source_count, attachment_count, retryable, provenance, classification_reason, outcome, invoice_id, workflow_run_id, workflow_run_item_id, failure, created_at, updated_at.
Maximum number of results per page.
1 <= x <= 1000Opaque next_cursor from the previous page. Keep the same filters and sort; omit for the first page.
4096Comma-separated: queued, running, completed, failed, cancelled. failed lists imports that need attention.
4000Comma-separated outcome of completed imports: imported, duplicate (the invoice already existed) or not_invoice.
4000How the invoice was submitted: upload, api, email or integration.
40002552727created_at, updated_at, primary_file_name asc, desc true, false Response
A page of import summaries; next_cursor is null at the end.